#if !defined(AFX_GENERIC_TOOLADAPTOR_ACTIVEXCTL_H__09A05971_B093_481F_906D_A7E52BEA591B__INCLUDED_)
#define AFX_GENERIC_TOOLADAPTOR_ACTIVEXCTL_H__09A05971_B093_481F_906D_A7E52BEA591B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Generic_ToolAdaptor_ActiveXCtl.h : Declaration of the CGeneric_ToolAdaptor_ActiveXCtrl ActiveX Control class.

const UINT wm_Message = RegisterWindowMessage(_T("CC667211-7CE9-40c5-809A-1DA48E4014C4"));

static struct MESSAGE_PARAM {
	long subscriptionId;
	long docId;
	CString name;
	CString version;
	CString remarks;
	long keepAlive;
} message_param;

/////////////////////////////////////////////////////////////////////////////
// CGeneric_ToolAdaptor_ActiveXCtrl : See Generic_ToolAdaptor_ActiveXCtl.cpp for implementation.

class CGeneric_ToolAdaptor_ActiveXCtrl : public COleControl
{
	DECLARE_DYNCREATE(CGeneric_ToolAdaptor_ActiveXCtrl)

// Constructor
public:
	CGeneric_ToolAdaptor_ActiveXCtrl();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGeneric_ToolAdaptor_ActiveXCtrl)
	public:
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
	virtual void DoPropExchange(CPropExchange* pPX);
	virtual void OnResetState();
	//}}AFX_VIRTUAL

// Implementation
protected:
	~CGeneric_ToolAdaptor_ActiveXCtrl();

	DECLARE_OLECREATE_EX(CGeneric_ToolAdaptor_ActiveXCtrl)    // Class factory and guid
	DECLARE_OLETYPELIB(CGeneric_ToolAdaptor_ActiveXCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CGeneric_ToolAdaptor_ActiveXCtrl)     // Property page IDs
	DECLARE_OLECTLTYPE(CGeneric_ToolAdaptor_ActiveXCtrl)		// Type name and misc status

// Message maps
	//{{AFX_MSG(CGeneric_ToolAdaptor_ActiveXCtrl)
	//}}AFX_MSG
	afx_msg LRESULT OnNotified(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()

// Dispatch maps
	//{{AFX_DISPATCH(CGeneric_ToolAdaptor_ActiveXCtrl)
	afx_msg void activateMain();
	afx_msg long publishDocument(LPCTSTR filename);
	afx_msg VARIANT remoteParadigms();
	afx_msg long subscribeParadigm(LPCTSTR name, LPCTSTR version);
	afx_msg long unsubscribeParadigm(LPCTSTR name, LPCTSTR version);
	afx_msg long fetchDocument(long subscriptionId, long docId, LPCTSTR directory, LPCTSTR filename);
	afx_msg long initialize(LPCTSTR parameters);
	afx_msg VARIANT remoteTypes();
	afx_msg long loginToolAdaptor(LPCTSTR type);
	afx_msg VARIANT getXSLTScriptPath();
	afx_msg long setXSLTScriptPath(LPCTSTR path);
	afx_msg VARIANT getSubscribable();
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

	afx_msg void AboutBox();

// Event maps
	//{{AFX_EVENT(CGeneric_ToolAdaptor_ActiveXCtrl)
	void FireDocumentArrived(LPCTSTR name, LPCTSTR version, LPCTSTR remarks, long keepAlive, long docId, long subscriptionId)
		{FireEvent(eventidDocumentArrived,EVENT_PARAM(VTS_BSTR  VTS_BSTR  VTS_BSTR  VTS_I4  VTS_I4  VTS_I4), name, version, remarks, keepAlive, docId, subscriptionId);}
	void FireDocumentChanged(LPCTSTR name, LPCTSTR version, LPCTSTR remarks, long keepAlive, long docId, long subscriptionId)
		{FireEvent(eventidDocumentChanged,EVENT_PARAM(VTS_BSTR  VTS_BSTR  VTS_BSTR  VTS_I4  VTS_I4  VTS_I4), name, version, remarks, keepAlive, docId, subscriptionId);}
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

public:
// Dispatch and event IDs
	enum {
	//{{AFX_DISP_ID(CGeneric_ToolAdaptor_ActiveXCtrl)
	dispidActivateMain = 1L,
	dispidPublishDocument = 2L,
	dispidRemoteParadigms = 3L,
	dispidSubscribeParadigm = 4L,
	dispidUnsubscribeParadigm = 5L,
	dispidFetchDocument = 6L,
	dispidInitialize = 7L,
	dispidRemoteTypes = 8L,
	dispidLoginToolAdaptor = 9L,
	dispidGetXSLTScriptPath = 10L,
	dispidSetXSLTScriptPath = 11L,
	dispidGetSubscribable = 12L,
	eventidDocumentArrived = 1L,
	eventidDocumentChanged = 2L,
	//}}AFX_DISP_ID
	};
};

static CGeneric_ToolAdaptor_ActiveXCtrl *activex_ctrl;


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GENERIC_TOOLADAPTOR_ACTIVEXCTL_H__09A05971_B093_481F_906D_A7E52BEA591B__INCLUDED)
