// Subscribe_DLG.cpp : implementation file
//
#include "UdmCORBA.h"
#include "stdafx.h"
#include "Generic_ToolAdaptor_ActiveX.h"
#include "Subscribe_DLG.h"

using namespace UdmCORBA;

extern map<long, PARADIGM_STRUCT> remote_paradigms;

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSubscribe_DLG dialog


CSubscribe_DLG::CSubscribe_DLG(CWnd* pParent /*=NULL*/)
	: CDialog(CSubscribe_DLG::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSubscribe_DLG)
	m_paradigm = -1;
	//}}AFX_DATA_INIT
}


void CSubscribe_DLG::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSubscribe_DLG)
	DDX_Control(pDX, IDC_PARADIGM, m_paradigm_control);
	DDX_CBIndex(pDX, IDC_PARADIGM, m_paradigm);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSubscribe_DLG, CDialog)
	//{{AFX_MSG_MAP(CSubscribe_DLG)
	ON_CBN_SELCHANGE(IDC_PARADIGM, OnSelchangeParadigm)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSubscribe_DLG message handlers

BOOL CSubscribe_DLG::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_paradigm_control.ResetContent();
	for(map<long, PARADIGM_STRUCT>::iterator i=remote_paradigms.begin(); i!=remote_paradigms.end(); i++) {
		CString item = (CString)(*i).second.name.c_str() + " v" + (CString)(*i).second.version.c_str();
		m_paradigm_control.AddString(item);
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSubscribe_DLG::OnSelchangeParadigm() 
{
	// TODO: Add your control notification handler code here
	m_paradigm = m_paradigm_control.GetCurSel();
}
