#ifndef MOBIES_MATLAB_H
#define MOBIES_MATLAB_H
// header file matlab.h generated from diagram matlab
// generated on Wed Oct 12 11:23:12 2005

#ifndef MOBIES_UDMBASE_H
#include "UdmBase.h"
#endif

#ifdef min
#undef min
#endif

#ifdef max
#undef max
#endif
namespace matlab {
	extern  Udm::UdmDiagram diagram;
	 void Initialize(const ::Uml::Diagram &dgr);
	 void Initialize();

		class  transitionTerminal;
		class  data;
		class  range;
		class  instance;
		class  state;
		class  array;
		class  Stateflow;
		class  junction;
		class  props;
		class  chart;
		class  target;
		class  transition;
		class  machine;
		class  event;
		class  Simulink;
		class  Block;
		class  BranchedLine;
		class  Line;
		class  NestedBranch;
		class  Model;
		class  Double;
		class  Vector;
		class  Type;
		class  Reference;
		class  LineDefaults;
		class  InputPort;
		class  SimContainer;
		class  DirectBranch;
		class  Masked;
		class  DirectLine;
		class  Port;
		class  EnablePort;
		class  TriggerPort;
		class  System;
		class  BlockDefaults;
		class  IPort;
		class  Text;
		class  Boolean;
		class  Integer;
		class  OutputPort;
		class  Parameter;
		class  Library;
		class  Annotation;
		class  Enumeration;
		class  Primitive;
		class  Subsystem;
		class  Branch;
		class  AnnotationDefaults;
		class  Normal;


		class  transitionTerminal :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			transitionTerminal() { }
			transitionTerminal(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			transitionTerminal(const transitionTerminal &master) : UDM_OBJECT(master) { }
			static transitionTerminal Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static transitionTerminal Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			transitionTerminal CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			transitionTerminal CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::transitionTerminal> Instances() { return Udm::InstantiatedAttr< ::matlab::transitionTerminal>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::transitionTerminal, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::transitionTerminal, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::transitionTerminal> Derived() { return Udm::DerivedAttr< ::matlab::transitionTerminal>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::transitionTerminal, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::transitionTerminal, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::transitionTerminal> Archetype() { return Udm::ArchetypeAttr< ::matlab::transitionTerminal>(impl);}

			static ::Uml::AssociationRole meta_dstOwner;
			Udm::AssocAttr< ::matlab::transition> dstOwner() const { return Udm::AssocAttr< ::matlab::transition>(impl, meta_dstOwner); }
			template <class Pred> Udm::AssocAttr< ::matlab::transition, Pred > dstOwner_sorted(const Pred &) const { return Udm::AssocAttr< ::matlab::transition, Pred>(impl, meta_dstOwner); }

			static ::Uml::AssociationRole meta_srcOwner;
			Udm::AssocAttr< ::matlab::transition> srcOwner() const { return Udm::AssocAttr< ::matlab::transition>(impl, meta_srcOwner); }
			template <class Pred> Udm::AssocAttr< ::matlab::transition, Pred > srcOwner_sorted(const Pred &) const { return Udm::AssocAttr< ::matlab::transition, Pred>(impl, meta_srcOwner); }

			Udm::ParentAttr<Udm::Object> parent() const { return Udm::ParentAttr<Udm::Object>(impl, Udm::NULLPARENTROLE); }
		};

		class  data :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			data() { }
			data(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			data(const data &master) : UDM_OBJECT(master) { }
			static data Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static data Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			data CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			data CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::data> Instances() { return Udm::InstantiatedAttr< ::matlab::data>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::data, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::data, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::data> Derived() { return Udm::DerivedAttr< ::matlab::data>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::data, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::data, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::data> Archetype() { return Udm::ArchetypeAttr< ::matlab::data>(impl);}

			static ::Uml::Attribute meta_name;
			Udm::StringAttr name() const { return Udm::StringAttr(impl, meta_name); }

			static ::Uml::Attribute meta_id;
			Udm::IntegerAttr id() const { return Udm::IntegerAttr(impl, meta_id); }

			static ::Uml::Attribute meta_scope;
			Udm::StringAttr scope() const { return Udm::StringAttr(impl, meta_scope); }

			static ::Uml::Attribute meta_dataType;
			Udm::StringAttr dataType() const { return Udm::StringAttr(impl, meta_dataType); }

			static ::Uml::Attribute meta_description;
			Udm::StringAttr description() const { return Udm::StringAttr(impl, meta_description); }

			static ::Uml::Attribute meta_units;
			Udm::StringAttr units() const { return Udm::StringAttr(impl, meta_units); }

			static ::Uml::CompositionChildRole meta_props;
			Udm::ChildAttr< ::matlab::props> props() const { return Udm::ChildAttr< ::matlab::props>(impl, meta_props); }

			Udm::ChildrenAttr< ::matlab::props> props_kind_children() const { return Udm::ChildrenAttr< ::matlab::props>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::props, Pred> props_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::props, Pred>(impl, Udm::NULLCHILDROLE); }

			static ::Uml::CompositionParentRole meta_parentState;
			Udm::ParentAttr< ::matlab::state> parentState() const { return Udm::ParentAttr< ::matlab::state>(impl, meta_parentState); }

			static ::Uml::CompositionParentRole meta_parentChart;
			Udm::ParentAttr< ::matlab::chart> parentChart() const { return Udm::ParentAttr< ::matlab::chart>(impl, meta_parentChart); }

			static ::Uml::CompositionParentRole meta_parentMachine;
			Udm::ParentAttr< ::matlab::machine> parentMachine() const { return Udm::ParentAttr< ::matlab::machine>(impl, meta_parentMachine); }

			Udm::ParentAttr<Udm::Object> parent() const { return Udm::ParentAttr<Udm::Object>(impl, Udm::NULLPARENTROLE); }
		};

		class  range :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			range() { }
			range(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			range(const range &master) : UDM_OBJECT(master) { }
			static range Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static range Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			range CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			range CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::range> Instances() { return Udm::InstantiatedAttr< ::matlab::range>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::range, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::range, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::range> Derived() { return Udm::DerivedAttr< ::matlab::range>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::range, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::range, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::range> Archetype() { return Udm::ArchetypeAttr< ::matlab::range>(impl);}

			static ::Uml::Attribute meta_maximum;
			Udm::StringAttr maximum() const { return Udm::StringAttr(impl, meta_maximum); }

			static ::Uml::Attribute meta_minimum;
			Udm::StringAttr minimum() const { return Udm::StringAttr(impl, meta_minimum); }

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::props> parent() const { return Udm::ParentAttr< ::matlab::props>(impl, meta_parent); }

		};

		class  instance :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			instance() { }
			instance(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			instance(const instance &master) : UDM_OBJECT(master) { }
			static instance Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static instance Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			instance CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			instance CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::instance> Instances() { return Udm::InstantiatedAttr< ::matlab::instance>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::instance, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::instance, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::instance> Derived() { return Udm::DerivedAttr< ::matlab::instance>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::instance, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::instance, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::instance> Archetype() { return Udm::ArchetypeAttr< ::matlab::instance>(impl);}

			static ::Uml::Attribute meta_name;
			Udm::StringAttr name() const { return Udm::StringAttr(impl, meta_name); }

			static ::Uml::Attribute meta_id;
			Udm::IntegerAttr id() const { return Udm::IntegerAttr(impl, meta_id); }

			static ::Uml::AssociationRole meta_owner;
			Udm::PointerAttr< ::matlab::chart> owner() const { return Udm::PointerAttr< ::matlab::chart>(impl, meta_owner); }

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::machine> parent() const { return Udm::ParentAttr< ::matlab::machine>(impl, meta_parent); }

		};

		class  state :  public ::matlab::transitionTerminal {
		public:
			static ::Uml::Class meta;

			state() { }
			state(Udm::ObjectImpl *impl) : ::matlab::transitionTerminal(impl) { }
			state(const state &master) : ::matlab::transitionTerminal(master) { }
			static state Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static state Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			state CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			state CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::state> Instances() { return Udm::InstantiatedAttr< ::matlab::state>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::state, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::state, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::state> Derived() { return Udm::DerivedAttr< ::matlab::state>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::state, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::state, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::state> Archetype() { return Udm::ArchetypeAttr< ::matlab::state>(impl);}

			static ::Uml::Attribute meta_position;
			Udm::StringAttr position() const { return Udm::StringAttr(impl, meta_position); }

			static ::Uml::Attribute meta_decomposition;
			Udm::StringAttr decomposition() const { return Udm::StringAttr(impl, meta_decomposition); }

			static ::Uml::Attribute meta_eventActions;
			Udm::StringAttr eventActions() const { return Udm::StringAttr(impl, meta_eventActions); }

			static ::Uml::Attribute meta_duringAction;
			Udm::StringAttr duringAction() const { return Udm::StringAttr(impl, meta_duringAction); }

			static ::Uml::Attribute meta_exitAction;
			Udm::StringAttr exitAction() const { return Udm::StringAttr(impl, meta_exitAction); }

			static ::Uml::Attribute meta_entryAction;
			Udm::StringAttr entryAction() const { return Udm::StringAttr(impl, meta_entryAction); }

			static ::Uml::Attribute meta_type;
			Udm::StringAttr type() const { return Udm::StringAttr(impl, meta_type); }

			static ::Uml::Attribute meta_name;
			Udm::StringAttr name() const { return Udm::StringAttr(impl, meta_name); }

			static ::Uml::Attribute meta_id;
			Udm::IntegerAttr id() const { return Udm::IntegerAttr(impl, meta_id); }

			static ::Uml::CompositionChildRole meta_subStates;
			Udm::ChildrenAttr< ::matlab::state> subStates() const { return Udm::ChildrenAttr< ::matlab::state>(impl, meta_subStates); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::state, Pred> subStates_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::state, Pred>(impl, meta_subStates); }

			static ::Uml::CompositionChildRole meta_data;
			Udm::ChildrenAttr< ::matlab::data> data() const { return Udm::ChildrenAttr< ::matlab::data>(impl, meta_data); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::data, Pred> data_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::data, Pred>(impl, meta_data); }

			static ::Uml::CompositionChildRole meta_junctions;
			Udm::ChildrenAttr< ::matlab::junction> junctions() const { return Udm::ChildrenAttr< ::matlab::junction>(impl, meta_junctions); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::junction, Pred> junctions_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::junction, Pred>(impl, meta_junctions); }

			static ::Uml::CompositionChildRole meta_events;
			Udm::ChildrenAttr< ::matlab::event> events() const { return Udm::ChildrenAttr< ::matlab::event>(impl, meta_events); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::event, Pred> events_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::event, Pred>(impl, meta_events); }

			static ::Uml::CompositionChildRole meta_transitions;
			Udm::ChildrenAttr< ::matlab::transition> transitions() const { return Udm::ChildrenAttr< ::matlab::transition>(impl, meta_transitions); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::transition, Pred> transitions_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::transition, Pred>(impl, meta_transitions); }

			Udm::ChildrenAttr< ::matlab::transitionTerminal> transitionTerminal_kind_children() const { return Udm::ChildrenAttr< ::matlab::transitionTerminal>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::transitionTerminal, Pred> transitionTerminal_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::transitionTerminal, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::data> data_kind_children() const { return Udm::ChildrenAttr< ::matlab::data>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::data, Pred> data_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::data, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::state> state_kind_children() const { return Udm::ChildrenAttr< ::matlab::state>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::state, Pred> state_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::state, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::junction> junction_kind_children() const { return Udm::ChildrenAttr< ::matlab::junction>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::junction, Pred> junction_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::junction, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::transition> transition_kind_children() const { return Udm::ChildrenAttr< ::matlab::transition>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::transition, Pred> transition_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::transition, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::event> event_kind_children() const { return Udm::ChildrenAttr< ::matlab::event>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::event, Pred> event_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::event, Pred>(impl, Udm::NULLCHILDROLE); }

			static ::Uml::CompositionParentRole meta_parentState;
			Udm::ParentAttr< ::matlab::state> parentState() const { return Udm::ParentAttr< ::matlab::state>(impl, meta_parentState); }

			static ::Uml::CompositionParentRole meta_parentChart;
			Udm::ParentAttr< ::matlab::chart> parentChart() const { return Udm::ParentAttr< ::matlab::chart>(impl, meta_parentChart); }

			Udm::ParentAttr<Udm::Object> parent() const { return Udm::ParentAttr<Udm::Object>(impl, Udm::NULLPARENTROLE); }
		};

		class  array :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			array() { }
			array(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			array(const array &master) : UDM_OBJECT(master) { }
			static array Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static array Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			array CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			array CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::array> Instances() { return Udm::InstantiatedAttr< ::matlab::array>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::array, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::array, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::array> Derived() { return Udm::DerivedAttr< ::matlab::array>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::array, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::array, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::array> Archetype() { return Udm::ArchetypeAttr< ::matlab::array>(impl);}

			static ::Uml::Attribute meta_firstIndex;
			Udm::IntegerAttr firstIndex() const { return Udm::IntegerAttr(impl, meta_firstIndex); }

			static ::Uml::Attribute meta_size;
			Udm::IntegerAttr size() const { return Udm::IntegerAttr(impl, meta_size); }

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::props> parent() const { return Udm::ParentAttr< ::matlab::props>(impl, meta_parent); }

		};

		class  Stateflow :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			Stateflow() { }
			Stateflow(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			Stateflow(const Stateflow &master) : UDM_OBJECT(master) { }
			static Stateflow Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Stateflow Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Stateflow CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Stateflow CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Stateflow> Instances() { return Udm::InstantiatedAttr< ::matlab::Stateflow>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Stateflow, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Stateflow, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Stateflow> Derived() { return Udm::DerivedAttr< ::matlab::Stateflow>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Stateflow, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Stateflow, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Stateflow> Archetype() { return Udm::ArchetypeAttr< ::matlab::Stateflow>(impl);}

			static ::Uml::CompositionChildRole meta_machine;
			Udm::ChildAttr< ::matlab::machine> machine() const { return Udm::ChildAttr< ::matlab::machine>(impl, meta_machine); }

			Udm::ChildrenAttr< ::matlab::machine> machine_kind_children() const { return Udm::ChildrenAttr< ::matlab::machine>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::machine, Pred> machine_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::machine, Pred>(impl, Udm::NULLCHILDROLE); }

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::Simulink> parent() const { return Udm::ParentAttr< ::matlab::Simulink>(impl, meta_parent); }

		};

		class  junction :  public ::matlab::transitionTerminal {
		public:
			static ::Uml::Class meta;

			junction() { }
			junction(Udm::ObjectImpl *impl) : ::matlab::transitionTerminal(impl) { }
			junction(const junction &master) : ::matlab::transitionTerminal(master) { }
			static junction Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static junction Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			junction CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			junction CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::junction> Instances() { return Udm::InstantiatedAttr< ::matlab::junction>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::junction, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::junction, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::junction> Derived() { return Udm::DerivedAttr< ::matlab::junction>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::junction, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::junction, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::junction> Archetype() { return Udm::ArchetypeAttr< ::matlab::junction>(impl);}

			static ::Uml::Attribute meta_position;
			Udm::StringAttr position() const { return Udm::StringAttr(impl, meta_position); }

			static ::Uml::Attribute meta_type;
			Udm::StringAttr type() const { return Udm::StringAttr(impl, meta_type); }

			static ::Uml::Attribute meta_id;
			Udm::IntegerAttr id() const { return Udm::IntegerAttr(impl, meta_id); }

			static ::Uml::CompositionParentRole meta_parentState;
			Udm::ParentAttr< ::matlab::state> parentState() const { return Udm::ParentAttr< ::matlab::state>(impl, meta_parentState); }

			static ::Uml::CompositionParentRole meta_parentChart;
			Udm::ParentAttr< ::matlab::chart> parentChart() const { return Udm::ParentAttr< ::matlab::chart>(impl, meta_parentChart); }

			Udm::ParentAttr<Udm::Object> parent() const { return Udm::ParentAttr<Udm::Object>(impl, Udm::NULLPARENTROLE); }
		};

		class  props :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			props() { }
			props(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			props(const props &master) : UDM_OBJECT(master) { }
			static props Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static props Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			props CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			props CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::props> Instances() { return Udm::InstantiatedAttr< ::matlab::props>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::props, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::props, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::props> Derived() { return Udm::DerivedAttr< ::matlab::props>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::props, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::props, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::props> Archetype() { return Udm::ArchetypeAttr< ::matlab::props>(impl);}

			static ::Uml::Attribute meta_initialValue;
			Udm::StringAttr initialValue() const { return Udm::StringAttr(impl, meta_initialValue); }

			static ::Uml::CompositionChildRole meta_range;
			Udm::ChildAttr< ::matlab::range> range() const { return Udm::ChildAttr< ::matlab::range>(impl, meta_range); }

			static ::Uml::CompositionChildRole meta_array;
			Udm::ChildAttr< ::matlab::array> array() const { return Udm::ChildAttr< ::matlab::array>(impl, meta_array); }

			Udm::ChildrenAttr< ::matlab::range> range_kind_children() const { return Udm::ChildrenAttr< ::matlab::range>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::range, Pred> range_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::range, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::array> array_kind_children() const { return Udm::ChildrenAttr< ::matlab::array>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::array, Pred> array_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::array, Pred>(impl, Udm::NULLCHILDROLE); }

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::data> parent() const { return Udm::ParentAttr< ::matlab::data>(impl, meta_parent); }

		};

		class  chart :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			chart() { }
			chart(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			chart(const chart &master) : UDM_OBJECT(master) { }
			static chart Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static chart Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			chart CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			chart CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::chart> Instances() { return Udm::InstantiatedAttr< ::matlab::chart>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::chart, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::chart, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::chart> Derived() { return Udm::DerivedAttr< ::matlab::chart>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::chart, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::chart, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::chart> Archetype() { return Udm::ArchetypeAttr< ::matlab::chart>(impl);}

			static ::Uml::Attribute meta_name;
			Udm::StringAttr name() const { return Udm::StringAttr(impl, meta_name); }

			static ::Uml::Attribute meta_id;
			Udm::IntegerAttr id() const { return Udm::IntegerAttr(impl, meta_id); }

			static ::Uml::Attribute meta_sampleTime;
			Udm::RealAttr sampleTime() const { return Udm::RealAttr(impl, meta_sampleTime); }

			static ::Uml::Attribute meta_updateMethod;
			Udm::StringAttr updateMethod() const { return Udm::StringAttr(impl, meta_updateMethod); }

			static ::Uml::Attribute meta_decomposition;
			Udm::StringAttr decomposition() const { return Udm::StringAttr(impl, meta_decomposition); }

			static ::Uml::AssociationRole meta_instance;
			Udm::PointerAttr< ::matlab::instance> instance() const { return Udm::PointerAttr< ::matlab::instance>(impl, meta_instance); }

			static ::Uml::CompositionChildRole meta_states;
			Udm::ChildrenAttr< ::matlab::state> states() const { return Udm::ChildrenAttr< ::matlab::state>(impl, meta_states); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::state, Pred> states_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::state, Pred>(impl, meta_states); }

			static ::Uml::CompositionChildRole meta_data;
			Udm::ChildrenAttr< ::matlab::data> data() const { return Udm::ChildrenAttr< ::matlab::data>(impl, meta_data); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::data, Pred> data_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::data, Pred>(impl, meta_data); }

			static ::Uml::CompositionChildRole meta_events;
			Udm::ChildrenAttr< ::matlab::event> events() const { return Udm::ChildrenAttr< ::matlab::event>(impl, meta_events); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::event, Pred> events_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::event, Pred>(impl, meta_events); }

			static ::Uml::CompositionChildRole meta_transitions;
			Udm::ChildrenAttr< ::matlab::transition> transitions() const { return Udm::ChildrenAttr< ::matlab::transition>(impl, meta_transitions); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::transition, Pred> transitions_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::transition, Pred>(impl, meta_transitions); }

			static ::Uml::CompositionChildRole meta_junctions;
			Udm::ChildrenAttr< ::matlab::junction> junctions() const { return Udm::ChildrenAttr< ::matlab::junction>(impl, meta_junctions); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::junction, Pred> junctions_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::junction, Pred>(impl, meta_junctions); }

			Udm::ChildrenAttr< ::matlab::transitionTerminal> transitionTerminal_kind_children() const { return Udm::ChildrenAttr< ::matlab::transitionTerminal>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::transitionTerminal, Pred> transitionTerminal_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::transitionTerminal, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::data> data_kind_children() const { return Udm::ChildrenAttr< ::matlab::data>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::data, Pred> data_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::data, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::state> state_kind_children() const { return Udm::ChildrenAttr< ::matlab::state>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::state, Pred> state_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::state, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::junction> junction_kind_children() const { return Udm::ChildrenAttr< ::matlab::junction>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::junction, Pred> junction_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::junction, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::transition> transition_kind_children() const { return Udm::ChildrenAttr< ::matlab::transition>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::transition, Pred> transition_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::transition, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::event> event_kind_children() const { return Udm::ChildrenAttr< ::matlab::event>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::event, Pred> event_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::event, Pred>(impl, Udm::NULLCHILDROLE); }

			static ::Uml::CompositionParentRole meta_machine;
			Udm::ParentAttr< ::matlab::machine> machine() const { return Udm::ParentAttr< ::matlab::machine>(impl, meta_machine); }

			Udm::ParentAttr< ::matlab::machine> parent() const { return Udm::ParentAttr< ::matlab::machine>(impl, Udm::NULLPARENTROLE); }
		};

		class  target :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			target() { }
			target(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			target(const target &master) : UDM_OBJECT(master) { }
			static target Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static target Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			target CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			target CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::target> Instances() { return Udm::InstantiatedAttr< ::matlab::target>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::target, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::target, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::target> Derived() { return Udm::DerivedAttr< ::matlab::target>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::target, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::target, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::target> Archetype() { return Udm::ArchetypeAttr< ::matlab::target>(impl);}

			static ::Uml::Attribute meta_name;
			Udm::StringAttr name() const { return Udm::StringAttr(impl, meta_name); }

			static ::Uml::Attribute meta_id;
			Udm::IntegerAttr id() const { return Udm::IntegerAttr(impl, meta_id); }

			static ::Uml::Attribute meta_checksumOld;
			Udm::StringAttr checksumOld() const { return Udm::StringAttr(impl, meta_checksumOld); }

			static ::Uml::Attribute meta_codeFlags;
			Udm::StringAttr codeFlags() const { return Udm::StringAttr(impl, meta_codeFlags); }

			static ::Uml::Attribute meta_makeCommand;
			Udm::StringAttr makeCommand() const { return Udm::StringAttr(impl, meta_makeCommand); }

			static ::Uml::Attribute meta_codeCommand;
			Udm::StringAttr codeCommand() const { return Udm::StringAttr(impl, meta_codeCommand); }

			static ::Uml::Attribute meta_description;
			Udm::StringAttr description() const { return Udm::StringAttr(impl, meta_description); }

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::machine> parent() const { return Udm::ParentAttr< ::matlab::machine>(impl, meta_parent); }

		};

		class  transition :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			transition() { }
			transition(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			transition(const transition &master) : UDM_OBJECT(master) { }
			static transition Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static transition Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			transition CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			transition CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::transition> Instances() { return Udm::InstantiatedAttr< ::matlab::transition>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::transition, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::transition, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::transition> Derived() { return Udm::DerivedAttr< ::matlab::transition>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::transition, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::transition, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::transition> Archetype() { return Udm::ArchetypeAttr< ::matlab::transition>(impl);}

			static ::Uml::Attribute meta_trigger;
			Udm::StringAttr trigger() const { return Udm::StringAttr(impl, meta_trigger); }

			static ::Uml::Attribute meta_id;
			Udm::IntegerAttr id() const { return Udm::IntegerAttr(impl, meta_id); }

			static ::Uml::Attribute meta_sourceOClock;
			Udm::RealAttr sourceOClock() const { return Udm::RealAttr(impl, meta_sourceOClock); }

			static ::Uml::Attribute meta_action;
			Udm::StringAttr action() const { return Udm::StringAttr(impl, meta_action); }

			static ::Uml::Attribute meta_conditionAction;
			Udm::StringAttr conditionAction() const { return Udm::StringAttr(impl, meta_conditionAction); }

			static ::Uml::Attribute meta_condition;
			Udm::StringAttr condition() const { return Udm::StringAttr(impl, meta_condition); }

			static ::Uml::Attribute meta_dataLimits;
			Udm::StringAttr dataLimits() const { return Udm::StringAttr(impl, meta_dataLimits); }

			static ::Uml::AssociationRole meta_dst;
			Udm::PointerAttr< ::matlab::transitionTerminal> dst() const { return Udm::PointerAttr< ::matlab::transitionTerminal>(impl, meta_dst); }

			static ::Uml::AssociationRole meta_src;
			Udm::PointerAttr< ::matlab::transitionTerminal> src() const { return Udm::PointerAttr< ::matlab::transitionTerminal>(impl, meta_src); }

			static ::Uml::CompositionParentRole meta_parentState;
			Udm::ParentAttr< ::matlab::state> parentState() const { return Udm::ParentAttr< ::matlab::state>(impl, meta_parentState); }

			static ::Uml::CompositionParentRole meta_parentChart;
			Udm::ParentAttr< ::matlab::chart> parentChart() const { return Udm::ParentAttr< ::matlab::chart>(impl, meta_parentChart); }

			Udm::ParentAttr<Udm::Object> parent() const { return Udm::ParentAttr<Udm::Object>(impl, Udm::NULLPARENTROLE); }
		};

		class  machine :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			machine() { }
			machine(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			machine(const machine &master) : UDM_OBJECT(master) { }
			static machine Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static machine Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			machine CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			machine CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::machine> Instances() { return Udm::InstantiatedAttr< ::matlab::machine>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::machine, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::machine, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::machine> Derived() { return Udm::DerivedAttr< ::matlab::machine>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::machine, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::machine, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::machine> Archetype() { return Udm::ArchetypeAttr< ::matlab::machine>(impl);}

			static ::Uml::Attribute meta_name;
			Udm::StringAttr name() const { return Udm::StringAttr(impl, meta_name); }

			static ::Uml::Attribute meta_id;
			Udm::IntegerAttr id() const { return Udm::IntegerAttr(impl, meta_id); }

			static ::Uml::CompositionChildRole meta_charts;
			Udm::ChildrenAttr< ::matlab::chart> charts() const { return Udm::ChildrenAttr< ::matlab::chart>(impl, meta_charts); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::chart, Pred> charts_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::chart, Pred>(impl, meta_charts); }

			static ::Uml::CompositionChildRole meta_instances;
			Udm::ChildrenAttr< ::matlab::instance> instances() const { return Udm::ChildrenAttr< ::matlab::instance>(impl, meta_instances); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::instance, Pred> instances_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::instance, Pred>(impl, meta_instances); }

			static ::Uml::CompositionChildRole meta_events;
			Udm::ChildrenAttr< ::matlab::event> events() const { return Udm::ChildrenAttr< ::matlab::event>(impl, meta_events); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::event, Pred> events_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::event, Pred>(impl, meta_events); }

			static ::Uml::CompositionChildRole meta_targets;
			Udm::ChildrenAttr< ::matlab::target> targets() const { return Udm::ChildrenAttr< ::matlab::target>(impl, meta_targets); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::target, Pred> targets_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::target, Pred>(impl, meta_targets); }

			static ::Uml::CompositionChildRole meta_data;
			Udm::ChildrenAttr< ::matlab::data> data() const { return Udm::ChildrenAttr< ::matlab::data>(impl, meta_data); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::data, Pred> data_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::data, Pred>(impl, meta_data); }

			Udm::ChildrenAttr< ::matlab::data> data_kind_children() const { return Udm::ChildrenAttr< ::matlab::data>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::data, Pred> data_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::data, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::instance> instance_kind_children() const { return Udm::ChildrenAttr< ::matlab::instance>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::instance, Pred> instance_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::instance, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::chart> chart_kind_children() const { return Udm::ChildrenAttr< ::matlab::chart>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::chart, Pred> chart_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::chart, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::target> target_kind_children() const { return Udm::ChildrenAttr< ::matlab::target>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::target, Pred> target_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::target, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::event> event_kind_children() const { return Udm::ChildrenAttr< ::matlab::event>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::event, Pred> event_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::event, Pred>(impl, Udm::NULLCHILDROLE); }

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::Stateflow> parent() const { return Udm::ParentAttr< ::matlab::Stateflow>(impl, meta_parent); }

		};

		class  event :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			event() { }
			event(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			event(const event &master) : UDM_OBJECT(master) { }
			static event Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static event Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			event CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			event CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::event> Instances() { return Udm::InstantiatedAttr< ::matlab::event>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::event, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::event, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::event> Derived() { return Udm::DerivedAttr< ::matlab::event>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::event, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::event, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::event> Archetype() { return Udm::ArchetypeAttr< ::matlab::event>(impl);}

			static ::Uml::Attribute meta_description;
			Udm::StringAttr description() const { return Udm::StringAttr(impl, meta_description); }

			static ::Uml::Attribute meta_scope;
			Udm::StringAttr scope() const { return Udm::StringAttr(impl, meta_scope); }

			static ::Uml::Attribute meta_name;
			Udm::StringAttr name() const { return Udm::StringAttr(impl, meta_name); }

			static ::Uml::Attribute meta_id;
			Udm::IntegerAttr id() const { return Udm::IntegerAttr(impl, meta_id); }

			static ::Uml::Attribute meta_trigger;
			Udm::StringAttr trigger() const { return Udm::StringAttr(impl, meta_trigger); }

			static ::Uml::CompositionParentRole meta_parentState;
			Udm::ParentAttr< ::matlab::state> parentState() const { return Udm::ParentAttr< ::matlab::state>(impl, meta_parentState); }

			static ::Uml::CompositionParentRole meta_parentChart;
			Udm::ParentAttr< ::matlab::chart> parentChart() const { return Udm::ParentAttr< ::matlab::chart>(impl, meta_parentChart); }

			static ::Uml::CompositionParentRole meta_parentMachine;
			Udm::ParentAttr< ::matlab::machine> parentMachine() const { return Udm::ParentAttr< ::matlab::machine>(impl, meta_parentMachine); }

			Udm::ParentAttr<Udm::Object> parent() const { return Udm::ParentAttr<Udm::Object>(impl, Udm::NULLPARENTROLE); }
		};

		class  Simulink :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			Simulink() { }
			Simulink(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			Simulink(const Simulink &master) : UDM_OBJECT(master) { }
			static Simulink Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Simulink Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Simulink CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Simulink CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Simulink> Instances() { return Udm::InstantiatedAttr< ::matlab::Simulink>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Simulink, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Simulink, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Simulink> Derived() { return Udm::DerivedAttr< ::matlab::Simulink>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Simulink, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Simulink, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Simulink> Archetype() { return Udm::ArchetypeAttr< ::matlab::Simulink>(impl);}

			static ::Uml::CompositionChildRole meta_simContainer;
			Udm::ChildAttr< ::matlab::SimContainer> simContainer() const { return Udm::ChildAttr< ::matlab::SimContainer>(impl, meta_simContainer); }

			static ::Uml::CompositionChildRole meta_stateflow;
			Udm::ChildAttr< ::matlab::Stateflow> stateflow() const { return Udm::ChildAttr< ::matlab::Stateflow>(impl, meta_stateflow); }

			Udm::ChildrenAttr< ::matlab::Stateflow> Stateflow_kind_children() const { return Udm::ChildrenAttr< ::matlab::Stateflow>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Stateflow, Pred> Stateflow_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Stateflow, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Model> Model_kind_children() const { return Udm::ChildrenAttr< ::matlab::Model>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Model, Pred> Model_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Model, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::SimContainer> SimContainer_kind_children() const { return Udm::ChildrenAttr< ::matlab::SimContainer>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::SimContainer, Pred> SimContainer_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::SimContainer, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Library> Library_kind_children() const { return Udm::ChildrenAttr< ::matlab::Library>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Library, Pred> Library_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Library, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ParentAttr<Udm::Object> parent() const { return Udm::ParentAttr<Udm::Object>(impl, Udm::NULLPARENTROLE); }
		};

		class  Block :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			Block() { }
			Block(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			Block(const Block &master) : UDM_OBJECT(master) { }
			static Block Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Block Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Block CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Block CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Block> Instances() { return Udm::InstantiatedAttr< ::matlab::Block>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Block, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Block, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Block> Derived() { return Udm::DerivedAttr< ::matlab::Block>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Block, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Block, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Block> Archetype() { return Udm::ArchetypeAttr< ::matlab::Block>(impl);}

			static ::Uml::Attribute meta_Name;
			Udm::StringAttr Name() const { return Udm::StringAttr(impl, meta_Name); }

			static ::Uml::Attribute meta_Position;
			Udm::StringAttr Position() const { return Udm::StringAttr(impl, meta_Position); }

			static ::Uml::Attribute meta_Tag;
			Udm::StringAttr Tag() const { return Udm::StringAttr(impl, meta_Tag); }

			static ::Uml::Attribute meta_Priority;
			Udm::StringAttr Priority() const { return Udm::StringAttr(impl, meta_Priority); }

			static ::Uml::Attribute meta_Description;
			Udm::StringAttr Description() const { return Udm::StringAttr(impl, meta_Description); }

			static ::Uml::Attribute meta_BlockType;
			Udm::StringAttr BlockType() const { return Udm::StringAttr(impl, meta_BlockType); }

			static ::Uml::Attribute meta_SampleTime;
			Udm::RealAttr SampleTime() const { return Udm::RealAttr(impl, meta_SampleTime); }

			static ::Uml::CompositionChildRole meta_parameters;
			Udm::ChildrenAttr< ::matlab::Parameter> parameters() const { return Udm::ChildrenAttr< ::matlab::Parameter>(impl, meta_parameters); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::Parameter, Pred> parameters_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Parameter, Pred>(impl, meta_parameters); }

			static ::Uml::CompositionChildRole meta_ports;
			Udm::ChildrenAttr< ::matlab::Port> ports() const { return Udm::ChildrenAttr< ::matlab::Port>(impl, meta_ports); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::Port, Pred> ports_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Port, Pred>(impl, meta_ports); }

			Udm::ChildrenAttr< ::matlab::Double> Double_kind_children() const { return Udm::ChildrenAttr< ::matlab::Double>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Double, Pred> Double_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Double, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Vector> Vector_kind_children() const { return Udm::ChildrenAttr< ::matlab::Vector>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Vector, Pred> Vector_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Vector, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Type> Type_kind_children() const { return Udm::ChildrenAttr< ::matlab::Type>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Type, Pred> Type_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Type, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::InputPort> InputPort_kind_children() const { return Udm::ChildrenAttr< ::matlab::InputPort>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::InputPort, Pred> InputPort_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::InputPort, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Port> Port_kind_children() const { return Udm::ChildrenAttr< ::matlab::Port>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Port, Pred> Port_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Port, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::EnablePort> EnablePort_kind_children() const { return Udm::ChildrenAttr< ::matlab::EnablePort>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::EnablePort, Pred> EnablePort_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::EnablePort, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::TriggerPort> TriggerPort_kind_children() const { return Udm::ChildrenAttr< ::matlab::TriggerPort>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::TriggerPort, Pred> TriggerPort_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::TriggerPort, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::IPort> IPort_kind_children() const { return Udm::ChildrenAttr< ::matlab::IPort>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::IPort, Pred> IPort_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::IPort, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Text> Text_kind_children() const { return Udm::ChildrenAttr< ::matlab::Text>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Text, Pred> Text_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Text, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Boolean> Boolean_kind_children() const { return Udm::ChildrenAttr< ::matlab::Boolean>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Boolean, Pred> Boolean_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Boolean, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Integer> Integer_kind_children() const { return Udm::ChildrenAttr< ::matlab::Integer>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Integer, Pred> Integer_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Integer, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::OutputPort> OutputPort_kind_children() const { return Udm::ChildrenAttr< ::matlab::OutputPort>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::OutputPort, Pred> OutputPort_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::OutputPort, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Parameter> Parameter_kind_children() const { return Udm::ChildrenAttr< ::matlab::Parameter>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Parameter, Pred> Parameter_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Parameter, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Enumeration> Enumeration_kind_children() const { return Udm::ChildrenAttr< ::matlab::Enumeration>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Enumeration, Pred> Enumeration_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Enumeration, Pred>(impl, Udm::NULLCHILDROLE); }

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::System> parent() const { return Udm::ParentAttr< ::matlab::System>(impl, meta_parent); }

		};

		class  Line :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			Line() { }
			Line(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			Line(const Line &master) : UDM_OBJECT(master) { }
			static Line Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Line Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Line CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Line CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Line> Instances() { return Udm::InstantiatedAttr< ::matlab::Line>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Line, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Line, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Line> Derived() { return Udm::DerivedAttr< ::matlab::Line>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Line, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Line, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Line> Archetype() { return Udm::ArchetypeAttr< ::matlab::Line>(impl);}

			static ::Uml::Attribute meta_Points;
			Udm::StringAttr Points() const { return Udm::StringAttr(impl, meta_Points); }

			static ::Uml::AssociationRole meta_srcPort;
			Udm::PointerAttr< ::matlab::OutputPort> srcPort() const { return Udm::PointerAttr< ::matlab::OutputPort>(impl, meta_srcPort); }

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::System> parent() const { return Udm::ParentAttr< ::matlab::System>(impl, meta_parent); }

		};

		class  BranchedLine :  public ::matlab::Line {
		public:
			static ::Uml::Class meta;

			BranchedLine() { }
			BranchedLine(Udm::ObjectImpl *impl) : ::matlab::Line(impl) { }
			BranchedLine(const BranchedLine &master) : ::matlab::Line(master) { }
			static BranchedLine Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static BranchedLine Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			BranchedLine CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			BranchedLine CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::BranchedLine> Instances() { return Udm::InstantiatedAttr< ::matlab::BranchedLine>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::BranchedLine, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::BranchedLine, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::BranchedLine> Derived() { return Udm::DerivedAttr< ::matlab::BranchedLine>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::BranchedLine, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::BranchedLine, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::BranchedLine> Archetype() { return Udm::ArchetypeAttr< ::matlab::BranchedLine>(impl);}

			static ::Uml::CompositionChildRole meta_branches;
			Udm::ChildrenAttr< ::matlab::Branch> branches() const { return Udm::ChildrenAttr< ::matlab::Branch>(impl, meta_branches); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::Branch, Pred> branches_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Branch, Pred>(impl, meta_branches); }

			Udm::ChildrenAttr< ::matlab::NestedBranch> NestedBranch_kind_children() const { return Udm::ChildrenAttr< ::matlab::NestedBranch>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::NestedBranch, Pred> NestedBranch_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::NestedBranch, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::DirectBranch> DirectBranch_kind_children() const { return Udm::ChildrenAttr< ::matlab::DirectBranch>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::DirectBranch, Pred> DirectBranch_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::DirectBranch, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Branch> Branch_kind_children() const { return Udm::ChildrenAttr< ::matlab::Branch>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Branch, Pred> Branch_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Branch, Pred>(impl, Udm::NULLCHILDROLE); }

		};

		class  Reference :  public ::matlab::Block {
		public:
			static ::Uml::Class meta;

			Reference() { }
			Reference(Udm::ObjectImpl *impl) : ::matlab::Block(impl) { }
			Reference(const Reference &master) : ::matlab::Block(master) { }
			static Reference Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Reference Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Reference CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Reference CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Reference> Instances() { return Udm::InstantiatedAttr< ::matlab::Reference>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Reference, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Reference, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Reference> Derived() { return Udm::DerivedAttr< ::matlab::Reference>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Reference, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Reference, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Reference> Archetype() { return Udm::ArchetypeAttr< ::matlab::Reference>(impl);}

			static ::Uml::Attribute meta_SourceType;
			Udm::StringAttr SourceType() const { return Udm::StringAttr(impl, meta_SourceType); }

			static ::Uml::Attribute meta_SourceBlock;
			Udm::StringAttr SourceBlock() const { return Udm::StringAttr(impl, meta_SourceBlock); }

		};

		class  LineDefaults :  public ::matlab::Line {
		public:
			static ::Uml::Class meta;

			LineDefaults() { }
			LineDefaults(Udm::ObjectImpl *impl) : ::matlab::Line(impl) { }
			LineDefaults(const LineDefaults &master) : ::matlab::Line(master) { }
			static LineDefaults Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static LineDefaults Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			LineDefaults CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			LineDefaults CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::LineDefaults> Instances() { return Udm::InstantiatedAttr< ::matlab::LineDefaults>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::LineDefaults, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::LineDefaults, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::LineDefaults> Derived() { return Udm::DerivedAttr< ::matlab::LineDefaults>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::LineDefaults, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::LineDefaults, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::LineDefaults> Archetype() { return Udm::ArchetypeAttr< ::matlab::LineDefaults>(impl);}

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::SimContainer> parent() const { return Udm::ParentAttr< ::matlab::SimContainer>(impl, meta_parent); }

		};

		class  SimContainer :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			SimContainer() { }
			SimContainer(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			SimContainer(const SimContainer &master) : UDM_OBJECT(master) { }
			static SimContainer Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static SimContainer Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			SimContainer CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			SimContainer CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::SimContainer> Instances() { return Udm::InstantiatedAttr< ::matlab::SimContainer>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::SimContainer, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::SimContainer, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::SimContainer> Derived() { return Udm::DerivedAttr< ::matlab::SimContainer>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::SimContainer, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::SimContainer, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::SimContainer> Archetype() { return Udm::ArchetypeAttr< ::matlab::SimContainer>(impl);}

			static ::Uml::Attribute meta_Name;
			Udm::StringAttr Name() const { return Udm::StringAttr(impl, meta_Name); }

			static ::Uml::CompositionChildRole meta_annotationDefaults;
			Udm::ChildAttr< ::matlab::AnnotationDefaults> annotationDefaults() const { return Udm::ChildAttr< ::matlab::AnnotationDefaults>(impl, meta_annotationDefaults); }

			static ::Uml::CompositionChildRole meta_system;
			Udm::ChildAttr< ::matlab::System> system() const { return Udm::ChildAttr< ::matlab::System>(impl, meta_system); }

			static ::Uml::CompositionChildRole meta_BlockDefaults_child;
			Udm::ChildAttr< ::matlab::BlockDefaults> BlockDefaults_child() const { return Udm::ChildAttr< ::matlab::BlockDefaults>(impl, meta_BlockDefaults_child); }

			static ::Uml::CompositionChildRole meta_lineDefaults;
			Udm::ChildAttr< ::matlab::LineDefaults> lineDefaults() const { return Udm::ChildAttr< ::matlab::LineDefaults>(impl, meta_lineDefaults); }

			Udm::ChildrenAttr< ::matlab::Line> Line_kind_children() const { return Udm::ChildrenAttr< ::matlab::Line>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Line, Pred> Line_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Line, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::LineDefaults> LineDefaults_kind_children() const { return Udm::ChildrenAttr< ::matlab::LineDefaults>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::LineDefaults, Pred> LineDefaults_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::LineDefaults, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::System> System_kind_children() const { return Udm::ChildrenAttr< ::matlab::System>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::System, Pred> System_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::System, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::BlockDefaults> BlockDefaults_kind_children() const { return Udm::ChildrenAttr< ::matlab::BlockDefaults>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::BlockDefaults, Pred> BlockDefaults_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::BlockDefaults, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Annotation> Annotation_kind_children() const { return Udm::ChildrenAttr< ::matlab::Annotation>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Annotation, Pred> Annotation_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Annotation, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::AnnotationDefaults> AnnotationDefaults_kind_children() const { return Udm::ChildrenAttr< ::matlab::AnnotationDefaults>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::AnnotationDefaults, Pred> AnnotationDefaults_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::AnnotationDefaults, Pred>(impl, Udm::NULLCHILDROLE); }

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::Simulink> parent() const { return Udm::ParentAttr< ::matlab::Simulink>(impl, meta_parent); }

		};

		class  Model :  public ::matlab::SimContainer {
		public:
			static ::Uml::Class meta;

			Model() { }
			Model(Udm::ObjectImpl *impl) : ::matlab::SimContainer(impl) { }
			Model(const Model &master) : ::matlab::SimContainer(master) { }
			static Model Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Model Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Model CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Model CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Model> Instances() { return Udm::InstantiatedAttr< ::matlab::Model>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Model, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Model, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Model> Derived() { return Udm::DerivedAttr< ::matlab::Model>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Model, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Model, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Model> Archetype() { return Udm::ArchetypeAttr< ::matlab::Model>(impl);}

		};

		class  DirectLine :  public ::matlab::Line {
		public:
			static ::Uml::Class meta;

			DirectLine() { }
			DirectLine(Udm::ObjectImpl *impl) : ::matlab::Line(impl) { }
			DirectLine(const DirectLine &master) : ::matlab::Line(master) { }
			static DirectLine Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static DirectLine Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			DirectLine CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			DirectLine CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::DirectLine> Instances() { return Udm::InstantiatedAttr< ::matlab::DirectLine>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::DirectLine, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::DirectLine, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::DirectLine> Derived() { return Udm::DerivedAttr< ::matlab::DirectLine>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::DirectLine, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::DirectLine, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::DirectLine> Archetype() { return Udm::ArchetypeAttr< ::matlab::DirectLine>(impl);}

			static ::Uml::AssociationRole meta_dstPort;
			Udm::PointerAttr< ::matlab::IPort> dstPort() const { return Udm::PointerAttr< ::matlab::IPort>(impl, meta_dstPort); }

		};

		class  Port :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			Port() { }
			Port(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			Port(const Port &master) : UDM_OBJECT(master) { }
			static Port Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Port Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Port CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Port CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Port> Instances() { return Udm::InstantiatedAttr< ::matlab::Port>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Port, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Port, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Port> Derived() { return Udm::DerivedAttr< ::matlab::Port>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Port, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Port, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Port> Archetype() { return Udm::ArchetypeAttr< ::matlab::Port>(impl);}

			static ::Uml::Attribute meta_Name;
			Udm::StringAttr Name() const { return Udm::StringAttr(impl, meta_Name); }

			static ::Uml::AssociationRole meta_portBlock;
			Udm::PointerAttr< ::matlab::Primitive> portBlock() const { return Udm::PointerAttr< ::matlab::Primitive>(impl, meta_portBlock); }

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::Block> parent() const { return Udm::ParentAttr< ::matlab::Block>(impl, meta_parent); }

		};

		class  System :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			System() { }
			System(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			System(const System &master) : UDM_OBJECT(master) { }
			static System Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static System Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			System CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			System CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::System> Instances() { return Udm::InstantiatedAttr< ::matlab::System>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::System, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::System, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::System> Derived() { return Udm::DerivedAttr< ::matlab::System>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::System, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::System, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::System> Archetype() { return Udm::ArchetypeAttr< ::matlab::System>(impl);}

			static ::Uml::Attribute meta_Name;
			Udm::StringAttr Name() const { return Udm::StringAttr(impl, meta_Name); }

			static ::Uml::CompositionChildRole meta_lines;
			Udm::ChildrenAttr< ::matlab::Line> lines() const { return Udm::ChildrenAttr< ::matlab::Line>(impl, meta_lines); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::Line, Pred> lines_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Line, Pred>(impl, meta_lines); }

			static ::Uml::CompositionChildRole meta_annotations;
			Udm::ChildrenAttr< ::matlab::Annotation> annotations() const { return Udm::ChildrenAttr< ::matlab::Annotation>(impl, meta_annotations); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::Annotation, Pred> annotations_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Annotation, Pred>(impl, meta_annotations); }

			static ::Uml::CompositionChildRole meta_blocks;
			Udm::ChildrenAttr< ::matlab::Block> blocks() const { return Udm::ChildrenAttr< ::matlab::Block>(impl, meta_blocks); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::Block, Pred> blocks_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Block, Pred>(impl, meta_blocks); }

			Udm::ChildrenAttr< ::matlab::Block> Block_kind_children() const { return Udm::ChildrenAttr< ::matlab::Block>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Block, Pred> Block_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Block, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::BranchedLine> BranchedLine_kind_children() const { return Udm::ChildrenAttr< ::matlab::BranchedLine>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::BranchedLine, Pred> BranchedLine_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::BranchedLine, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Line> Line_kind_children() const { return Udm::ChildrenAttr< ::matlab::Line>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Line, Pred> Line_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Line, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Reference> Reference_kind_children() const { return Udm::ChildrenAttr< ::matlab::Reference>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Reference, Pred> Reference_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Reference, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::LineDefaults> LineDefaults_kind_children() const { return Udm::ChildrenAttr< ::matlab::LineDefaults>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::LineDefaults, Pred> LineDefaults_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::LineDefaults, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Masked> Masked_kind_children() const { return Udm::ChildrenAttr< ::matlab::Masked>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Masked, Pred> Masked_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Masked, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::DirectLine> DirectLine_kind_children() const { return Udm::ChildrenAttr< ::matlab::DirectLine>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::DirectLine, Pred> DirectLine_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::DirectLine, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Annotation> Annotation_kind_children() const { return Udm::ChildrenAttr< ::matlab::Annotation>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Annotation, Pred> Annotation_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Annotation, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Primitive> Primitive_kind_children() const { return Udm::ChildrenAttr< ::matlab::Primitive>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Primitive, Pred> Primitive_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Primitive, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Subsystem> Subsystem_kind_children() const { return Udm::ChildrenAttr< ::matlab::Subsystem>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Subsystem, Pred> Subsystem_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Subsystem, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::AnnotationDefaults> AnnotationDefaults_kind_children() const { return Udm::ChildrenAttr< ::matlab::AnnotationDefaults>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::AnnotationDefaults, Pred> AnnotationDefaults_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::AnnotationDefaults, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Normal> Normal_kind_children() const { return Udm::ChildrenAttr< ::matlab::Normal>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Normal, Pred> Normal_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Normal, Pred>(impl, Udm::NULLCHILDROLE); }

			static ::Uml::CompositionParentRole meta_parentContainer;
			Udm::ParentAttr< ::matlab::SimContainer> parentContainer() const { return Udm::ParentAttr< ::matlab::SimContainer>(impl, meta_parentContainer); }

			static ::Uml::CompositionParentRole meta_parentSubsystem;
			Udm::ParentAttr< ::matlab::Subsystem> parentSubsystem() const { return Udm::ParentAttr< ::matlab::Subsystem>(impl, meta_parentSubsystem); }

			Udm::ParentAttr<Udm::Object> parent() const { return Udm::ParentAttr<Udm::Object>(impl, Udm::NULLPARENTROLE); }
		};

		class  BlockDefaults :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			BlockDefaults() { }
			BlockDefaults(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			BlockDefaults(const BlockDefaults &master) : UDM_OBJECT(master) { }
			static BlockDefaults Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static BlockDefaults Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			BlockDefaults CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			BlockDefaults CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::BlockDefaults> Instances() { return Udm::InstantiatedAttr< ::matlab::BlockDefaults>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::BlockDefaults, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::BlockDefaults, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::BlockDefaults> Derived() { return Udm::DerivedAttr< ::matlab::BlockDefaults>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::BlockDefaults, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::BlockDefaults, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::BlockDefaults> Archetype() { return Udm::ArchetypeAttr< ::matlab::BlockDefaults>(impl);}

			static ::Uml::CompositionParentRole meta_SimContainer_parent;
			Udm::ParentAttr< ::matlab::SimContainer> SimContainer_parent() const { return Udm::ParentAttr< ::matlab::SimContainer>(impl, meta_SimContainer_parent); }

			Udm::ParentAttr< ::matlab::SimContainer> parent() const { return Udm::ParentAttr< ::matlab::SimContainer>(impl, Udm::NULLPARENTROLE); }
		};

		class  IPort :  public ::matlab::Port {
		public:
			static ::Uml::Class meta;

			IPort() { }
			IPort(Udm::ObjectImpl *impl) : ::matlab::Port(impl) { }
			IPort(const IPort &master) : ::matlab::Port(master) { }
			static IPort Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static IPort Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			IPort CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			IPort CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::IPort> Instances() { return Udm::InstantiatedAttr< ::matlab::IPort>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::IPort, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::IPort, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::IPort> Derived() { return Udm::DerivedAttr< ::matlab::IPort>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::IPort, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::IPort, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::IPort> Archetype() { return Udm::ArchetypeAttr< ::matlab::IPort>(impl);}

			static ::Uml::AssociationRole meta_owningDirectBranch;
			Udm::PointerAttr< ::matlab::DirectBranch> owningDirectBranch() const { return Udm::PointerAttr< ::matlab::DirectBranch>(impl, meta_owningDirectBranch); }

			static ::Uml::AssociationRole meta_owningDirectLine;
			Udm::PointerAttr< ::matlab::DirectLine> owningDirectLine() const { return Udm::PointerAttr< ::matlab::DirectLine>(impl, meta_owningDirectLine); }

		};

		class  InputPort :  public ::matlab::IPort {
		public:
			static ::Uml::Class meta;

			InputPort() { }
			InputPort(Udm::ObjectImpl *impl) : ::matlab::IPort(impl) { }
			InputPort(const InputPort &master) : ::matlab::IPort(master) { }
			static InputPort Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static InputPort Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			InputPort CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			InputPort CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::InputPort> Instances() { return Udm::InstantiatedAttr< ::matlab::InputPort>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::InputPort, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::InputPort, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::InputPort> Derived() { return Udm::DerivedAttr< ::matlab::InputPort>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::InputPort, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::InputPort, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::InputPort> Archetype() { return Udm::ArchetypeAttr< ::matlab::InputPort>(impl);}

			static ::Uml::Attribute meta_Number;
			Udm::IntegerAttr Number() const { return Udm::IntegerAttr(impl, meta_Number); }

		};

		class  EnablePort :  public ::matlab::IPort {
		public:
			static ::Uml::Class meta;

			EnablePort() { }
			EnablePort(Udm::ObjectImpl *impl) : ::matlab::IPort(impl) { }
			EnablePort(const EnablePort &master) : ::matlab::IPort(master) { }
			static EnablePort Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static EnablePort Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			EnablePort CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			EnablePort CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::EnablePort> Instances() { return Udm::InstantiatedAttr< ::matlab::EnablePort>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::EnablePort, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::EnablePort, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::EnablePort> Derived() { return Udm::DerivedAttr< ::matlab::EnablePort>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::EnablePort, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::EnablePort, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::EnablePort> Archetype() { return Udm::ArchetypeAttr< ::matlab::EnablePort>(impl);}

			static ::Uml::Attribute meta_StatesWhenEnabling;
			Udm::StringAttr StatesWhenEnabling() const { return Udm::StringAttr(impl, meta_StatesWhenEnabling); }

		};

		class  TriggerPort :  public ::matlab::IPort {
		public:
			static ::Uml::Class meta;

			TriggerPort() { }
			TriggerPort(Udm::ObjectImpl *impl) : ::matlab::IPort(impl) { }
			TriggerPort(const TriggerPort &master) : ::matlab::IPort(master) { }
			static TriggerPort Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static TriggerPort Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			TriggerPort CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			TriggerPort CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::TriggerPort> Instances() { return Udm::InstantiatedAttr< ::matlab::TriggerPort>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::TriggerPort, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::TriggerPort, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::TriggerPort> Derived() { return Udm::DerivedAttr< ::matlab::TriggerPort>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::TriggerPort, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::TriggerPort, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::TriggerPort> Archetype() { return Udm::ArchetypeAttr< ::matlab::TriggerPort>(impl);}

			static ::Uml::Attribute meta_TriggerType;
			Udm::StringAttr TriggerType() const { return Udm::StringAttr(impl, meta_TriggerType); }

		};

		class  OutputPort :  public ::matlab::Port {
		public:
			static ::Uml::Class meta;

			OutputPort() { }
			OutputPort(Udm::ObjectImpl *impl) : ::matlab::Port(impl) { }
			OutputPort(const OutputPort &master) : ::matlab::Port(master) { }
			static OutputPort Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static OutputPort Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			OutputPort CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			OutputPort CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::OutputPort> Instances() { return Udm::InstantiatedAttr< ::matlab::OutputPort>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::OutputPort, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::OutputPort, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::OutputPort> Derived() { return Udm::DerivedAttr< ::matlab::OutputPort>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::OutputPort, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::OutputPort, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::OutputPort> Archetype() { return Udm::ArchetypeAttr< ::matlab::OutputPort>(impl);}

			static ::Uml::Attribute meta_Number;
			Udm::IntegerAttr Number() const { return Udm::IntegerAttr(impl, meta_Number); }

			static ::Uml::AssociationRole meta_owningLine;
			Udm::PointerAttr< ::matlab::Line> owningLine() const { return Udm::PointerAttr< ::matlab::Line>(impl, meta_owningLine); }

		};

		class  Parameter :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			Parameter() { }
			Parameter(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			Parameter(const Parameter &master) : UDM_OBJECT(master) { }
			static Parameter Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Parameter Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Parameter CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Parameter CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Parameter> Instances() { return Udm::InstantiatedAttr< ::matlab::Parameter>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Parameter, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Parameter, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Parameter> Derived() { return Udm::DerivedAttr< ::matlab::Parameter>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Parameter, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Parameter, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Parameter> Archetype() { return Udm::ArchetypeAttr< ::matlab::Parameter>(impl);}

			static ::Uml::Attribute meta_Name;
			Udm::StringAttr Name() const { return Udm::StringAttr(impl, meta_Name); }

			static ::Uml::CompositionParentRole meta_parameters_Block_parent;
			Udm::ParentAttr< ::matlab::Block> parameters_Block_parent() const { return Udm::ParentAttr< ::matlab::Block>(impl, meta_parameters_Block_parent); }

			Udm::ParentAttr< ::matlab::Block> parent() const { return Udm::ParentAttr< ::matlab::Block>(impl, Udm::NULLPARENTROLE); }
		};

		class  Double :  public ::matlab::Parameter {
		public:
			static ::Uml::Class meta;

			Double() { }
			Double(Udm::ObjectImpl *impl) : ::matlab::Parameter(impl) { }
			Double(const Double &master) : ::matlab::Parameter(master) { }
			static Double Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Double Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Double CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Double CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Double> Instances() { return Udm::InstantiatedAttr< ::matlab::Double>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Double, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Double, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Double> Derived() { return Udm::DerivedAttr< ::matlab::Double>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Double, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Double, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Double> Archetype() { return Udm::ArchetypeAttr< ::matlab::Double>(impl);}

			static ::Uml::Attribute meta_Value;
			Udm::RealAttr Value() const { return Udm::RealAttr(impl, meta_Value); }

			Udm::ParentAttr< ::matlab::Block> parent() const { return Udm::ParentAttr< ::matlab::Block>(impl, Udm::NULLPARENTROLE); }
		};

		class  Vector :  public ::matlab::Parameter {
		public:
			static ::Uml::Class meta;

			Vector() { }
			Vector(Udm::ObjectImpl *impl) : ::matlab::Parameter(impl) { }
			Vector(const Vector &master) : ::matlab::Parameter(master) { }
			static Vector Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Vector Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Vector CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Vector CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Vector> Instances() { return Udm::InstantiatedAttr< ::matlab::Vector>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Vector, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Vector, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Vector> Derived() { return Udm::DerivedAttr< ::matlab::Vector>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Vector, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Vector, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Vector> Archetype() { return Udm::ArchetypeAttr< ::matlab::Vector>(impl);}

			static ::Uml::Attribute meta_Value;
			Udm::StringAttr Value() const { return Udm::StringAttr(impl, meta_Value); }

			Udm::ParentAttr< ::matlab::Block> parent() const { return Udm::ParentAttr< ::matlab::Block>(impl, Udm::NULLPARENTROLE); }
		};

		class  Type :  public ::matlab::Parameter {
		public:
			static ::Uml::Class meta;

			Type() { }
			Type(Udm::ObjectImpl *impl) : ::matlab::Parameter(impl) { }
			Type(const Type &master) : ::matlab::Parameter(master) { }
			static Type Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Type Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Type CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Type CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Type> Instances() { return Udm::InstantiatedAttr< ::matlab::Type>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Type, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Type, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Type> Derived() { return Udm::DerivedAttr< ::matlab::Type>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Type, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Type, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Type> Archetype() { return Udm::ArchetypeAttr< ::matlab::Type>(impl);}

			static ::Uml::Attribute meta_Value;
			Udm::StringAttr Value() const { return Udm::StringAttr(impl, meta_Value); }

			Udm::ParentAttr< ::matlab::Block> parent() const { return Udm::ParentAttr< ::matlab::Block>(impl, Udm::NULLPARENTROLE); }
		};

		class  Text :  public ::matlab::Parameter {
		public:
			static ::Uml::Class meta;

			Text() { }
			Text(Udm::ObjectImpl *impl) : ::matlab::Parameter(impl) { }
			Text(const Text &master) : ::matlab::Parameter(master) { }
			static Text Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Text Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Text CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Text CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Text> Instances() { return Udm::InstantiatedAttr< ::matlab::Text>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Text, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Text, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Text> Derived() { return Udm::DerivedAttr< ::matlab::Text>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Text, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Text, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Text> Archetype() { return Udm::ArchetypeAttr< ::matlab::Text>(impl);}

			static ::Uml::Attribute meta_Value;
			Udm::StringAttr Value() const { return Udm::StringAttr(impl, meta_Value); }

			Udm::ParentAttr< ::matlab::Block> parent() const { return Udm::ParentAttr< ::matlab::Block>(impl, Udm::NULLPARENTROLE); }
		};

		class  Boolean :  public ::matlab::Parameter {
		public:
			static ::Uml::Class meta;

			Boolean() { }
			Boolean(Udm::ObjectImpl *impl) : ::matlab::Parameter(impl) { }
			Boolean(const Boolean &master) : ::matlab::Parameter(master) { }
			static Boolean Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Boolean Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Boolean CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Boolean CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Boolean> Instances() { return Udm::InstantiatedAttr< ::matlab::Boolean>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Boolean, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Boolean, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Boolean> Derived() { return Udm::DerivedAttr< ::matlab::Boolean>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Boolean, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Boolean, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Boolean> Archetype() { return Udm::ArchetypeAttr< ::matlab::Boolean>(impl);}

			static ::Uml::Attribute meta_Value;
			Udm::BooleanAttr Value() const { return Udm::BooleanAttr(impl, meta_Value); }

			Udm::ParentAttr< ::matlab::Block> parent() const { return Udm::ParentAttr< ::matlab::Block>(impl, Udm::NULLPARENTROLE); }
		};

		class  Integer :  public ::matlab::Parameter {
		public:
			static ::Uml::Class meta;

			Integer() { }
			Integer(Udm::ObjectImpl *impl) : ::matlab::Parameter(impl) { }
			Integer(const Integer &master) : ::matlab::Parameter(master) { }
			static Integer Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Integer Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Integer CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Integer CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Integer> Instances() { return Udm::InstantiatedAttr< ::matlab::Integer>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Integer, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Integer, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Integer> Derived() { return Udm::DerivedAttr< ::matlab::Integer>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Integer, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Integer, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Integer> Archetype() { return Udm::ArchetypeAttr< ::matlab::Integer>(impl);}

			static ::Uml::Attribute meta_Value;
			Udm::IntegerAttr Value() const { return Udm::IntegerAttr(impl, meta_Value); }

			Udm::ParentAttr< ::matlab::Block> parent() const { return Udm::ParentAttr< ::matlab::Block>(impl, Udm::NULLPARENTROLE); }
		};

		class  Library :  public ::matlab::SimContainer {
		public:
			static ::Uml::Class meta;

			Library() { }
			Library(Udm::ObjectImpl *impl) : ::matlab::SimContainer(impl) { }
			Library(const Library &master) : ::matlab::SimContainer(master) { }
			static Library Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Library Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Library CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Library CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Library> Instances() { return Udm::InstantiatedAttr< ::matlab::Library>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Library, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Library, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Library> Derived() { return Udm::DerivedAttr< ::matlab::Library>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Library, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Library, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Library> Archetype() { return Udm::ArchetypeAttr< ::matlab::Library>(impl);}

		};

		class  Annotation :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			Annotation() { }
			Annotation(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			Annotation(const Annotation &master) : UDM_OBJECT(master) { }
			static Annotation Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Annotation Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Annotation CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Annotation CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Annotation> Instances() { return Udm::InstantiatedAttr< ::matlab::Annotation>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Annotation, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Annotation, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Annotation> Derived() { return Udm::DerivedAttr< ::matlab::Annotation>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Annotation, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Annotation, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Annotation> Archetype() { return Udm::ArchetypeAttr< ::matlab::Annotation>(impl);}

			static ::Uml::Attribute meta_Position;
			Udm::StringAttr Position() const { return Udm::StringAttr(impl, meta_Position); }

			static ::Uml::Attribute meta_Text;
			Udm::StringAttr Text() const { return Udm::StringAttr(impl, meta_Text); }

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::System> parent() const { return Udm::ParentAttr< ::matlab::System>(impl, meta_parent); }

		};

		class  Enumeration :  public ::matlab::Parameter {
		public:
			static ::Uml::Class meta;

			Enumeration() { }
			Enumeration(Udm::ObjectImpl *impl) : ::matlab::Parameter(impl) { }
			Enumeration(const Enumeration &master) : ::matlab::Parameter(master) { }
			static Enumeration Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Enumeration Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Enumeration CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Enumeration CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Enumeration> Instances() { return Udm::InstantiatedAttr< ::matlab::Enumeration>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Enumeration, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Enumeration, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Enumeration> Derived() { return Udm::DerivedAttr< ::matlab::Enumeration>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Enumeration, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Enumeration, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Enumeration> Archetype() { return Udm::ArchetypeAttr< ::matlab::Enumeration>(impl);}

			static ::Uml::Attribute meta_Value;
			Udm::StringAttr Value() const { return Udm::StringAttr(impl, meta_Value); }

			Udm::ParentAttr< ::matlab::Block> parent() const { return Udm::ParentAttr< ::matlab::Block>(impl, Udm::NULLPARENTROLE); }
		};

		class  Primitive :  public ::matlab::Block {
		public:
			static ::Uml::Class meta;

			Primitive() { }
			Primitive(Udm::ObjectImpl *impl) : ::matlab::Block(impl) { }
			Primitive(const Primitive &master) : ::matlab::Block(master) { }
			static Primitive Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Primitive Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Primitive CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Primitive CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Primitive> Instances() { return Udm::InstantiatedAttr< ::matlab::Primitive>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Primitive, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Primitive, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Primitive> Derived() { return Udm::DerivedAttr< ::matlab::Primitive>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Primitive, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Primitive, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Primitive> Archetype() { return Udm::ArchetypeAttr< ::matlab::Primitive>(impl);}

			static ::Uml::AssociationRole meta_refPort;
			Udm::PointerAttr< ::matlab::Port> refPort() const { return Udm::PointerAttr< ::matlab::Port>(impl, meta_refPort); }

		};

		class  Subsystem :  public ::matlab::Block {
		public:
			static ::Uml::Class meta;

			Subsystem() { }
			Subsystem(Udm::ObjectImpl *impl) : ::matlab::Block(impl) { }
			Subsystem(const Subsystem &master) : ::matlab::Block(master) { }
			static Subsystem Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Subsystem Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Subsystem CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Subsystem CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Subsystem> Instances() { return Udm::InstantiatedAttr< ::matlab::Subsystem>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Subsystem, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Subsystem, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Subsystem> Derived() { return Udm::DerivedAttr< ::matlab::Subsystem>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Subsystem, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Subsystem, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Subsystem> Archetype() { return Udm::ArchetypeAttr< ::matlab::Subsystem>(impl);}

			static ::Uml::CompositionChildRole meta_system;
			Udm::ChildAttr< ::matlab::System> system() const { return Udm::ChildAttr< ::matlab::System>(impl, meta_system); }

			Udm::ChildrenAttr< ::matlab::System> System_kind_children() const { return Udm::ChildrenAttr< ::matlab::System>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::System, Pred> System_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::System, Pred>(impl, Udm::NULLCHILDROLE); }

		};

		class  Masked :  public ::matlab::Subsystem {
		public:
			static ::Uml::Class meta;

			Masked() { }
			Masked(Udm::ObjectImpl *impl) : ::matlab::Subsystem(impl) { }
			Masked(const Masked &master) : ::matlab::Subsystem(master) { }
			static Masked Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Masked Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Masked CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Masked CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Masked> Instances() { return Udm::InstantiatedAttr< ::matlab::Masked>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Masked, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Masked, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Masked> Derived() { return Udm::DerivedAttr< ::matlab::Masked>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Masked, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Masked, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Masked> Archetype() { return Udm::ArchetypeAttr< ::matlab::Masked>(impl);}

		};

		class  Branch :  public Udm::Object {
		public:
			static ::Uml::Class meta;

			Branch() { }
			Branch(Udm::ObjectImpl *impl) : UDM_OBJECT(impl) { }
			Branch(const Branch &master) : UDM_OBJECT(master) { }
			static Branch Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Branch Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Branch CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Branch CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Branch> Instances() { return Udm::InstantiatedAttr< ::matlab::Branch>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Branch, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Branch, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Branch> Derived() { return Udm::DerivedAttr< ::matlab::Branch>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Branch, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Branch, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Branch> Archetype() { return Udm::ArchetypeAttr< ::matlab::Branch>(impl);}

			static ::Uml::Attribute meta_Points;
			Udm::StringAttr Points() const { return Udm::StringAttr(impl, meta_Points); }

			static ::Uml::CompositionParentRole meta_parentBranchedLine;
			Udm::ParentAttr< ::matlab::BranchedLine> parentBranchedLine() const { return Udm::ParentAttr< ::matlab::BranchedLine>(impl, meta_parentBranchedLine); }

			static ::Uml::CompositionParentRole meta_parentNestedBranch;
			Udm::ParentAttr< ::matlab::NestedBranch> parentNestedBranch() const { return Udm::ParentAttr< ::matlab::NestedBranch>(impl, meta_parentNestedBranch); }

			Udm::ParentAttr<Udm::Object> parent() const { return Udm::ParentAttr<Udm::Object>(impl, Udm::NULLPARENTROLE); }
		};

		class  NestedBranch :  public ::matlab::Branch {
		public:
			static ::Uml::Class meta;

			NestedBranch() { }
			NestedBranch(Udm::ObjectImpl *impl) : ::matlab::Branch(impl) { }
			NestedBranch(const NestedBranch &master) : ::matlab::Branch(master) { }
			static NestedBranch Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static NestedBranch Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			NestedBranch CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			NestedBranch CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::NestedBranch> Instances() { return Udm::InstantiatedAttr< ::matlab::NestedBranch>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::NestedBranch, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::NestedBranch, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::NestedBranch> Derived() { return Udm::DerivedAttr< ::matlab::NestedBranch>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::NestedBranch, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::NestedBranch, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::NestedBranch> Archetype() { return Udm::ArchetypeAttr< ::matlab::NestedBranch>(impl);}

			static ::Uml::CompositionChildRole meta_branches;
			Udm::ChildrenAttr< ::matlab::Branch> branches() const { return Udm::ChildrenAttr< ::matlab::Branch>(impl, meta_branches); }
			template <class Pred> Udm::ChildrenAttr< ::matlab::Branch, Pred> branches_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Branch, Pred>(impl, meta_branches); }

			Udm::ChildrenAttr< ::matlab::NestedBranch> NestedBranch_kind_children() const { return Udm::ChildrenAttr< ::matlab::NestedBranch>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::NestedBranch, Pred> NestedBranch_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::NestedBranch, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::DirectBranch> DirectBranch_kind_children() const { return Udm::ChildrenAttr< ::matlab::DirectBranch>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::DirectBranch, Pred> DirectBranch_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::DirectBranch, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ChildrenAttr< ::matlab::Branch> Branch_kind_children() const { return Udm::ChildrenAttr< ::matlab::Branch>(impl, Udm::NULLCHILDROLE); }
			template<class Pred> Udm::ChildrenAttr< ::matlab::Branch, Pred> Branch_kind_children_sorted(const Pred &) const { return Udm::ChildrenAttr< ::matlab::Branch, Pred>(impl, Udm::NULLCHILDROLE); }

			Udm::ParentAttr<Udm::Object> parent() const { return Udm::ParentAttr<Udm::Object>(impl, Udm::NULLPARENTROLE); }
		};

		class  DirectBranch :  public ::matlab::Branch {
		public:
			static ::Uml::Class meta;

			DirectBranch() { }
			DirectBranch(Udm::ObjectImpl *impl) : ::matlab::Branch(impl) { }
			DirectBranch(const DirectBranch &master) : ::matlab::Branch(master) { }
			static DirectBranch Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static DirectBranch Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			DirectBranch CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			DirectBranch CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::DirectBranch> Instances() { return Udm::InstantiatedAttr< ::matlab::DirectBranch>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::DirectBranch, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::DirectBranch, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::DirectBranch> Derived() { return Udm::DerivedAttr< ::matlab::DirectBranch>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::DirectBranch, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::DirectBranch, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::DirectBranch> Archetype() { return Udm::ArchetypeAttr< ::matlab::DirectBranch>(impl);}

			static ::Uml::AssociationRole meta_dstPort;
			Udm::PointerAttr< ::matlab::IPort> dstPort() const { return Udm::PointerAttr< ::matlab::IPort>(impl, meta_dstPort); }

			Udm::ParentAttr<Udm::Object> parent() const { return Udm::ParentAttr<Udm::Object>(impl, Udm::NULLPARENTROLE); }
		};

		class  AnnotationDefaults :  public ::matlab::Annotation {
		public:
			static ::Uml::Class meta;

			AnnotationDefaults() { }
			AnnotationDefaults(Udm::ObjectImpl *impl) : ::matlab::Annotation(impl) { }
			AnnotationDefaults(const AnnotationDefaults &master) : ::matlab::Annotation(master) { }
			static AnnotationDefaults Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static AnnotationDefaults Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			AnnotationDefaults CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			AnnotationDefaults CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::AnnotationDefaults> Instances() { return Udm::InstantiatedAttr< ::matlab::AnnotationDefaults>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::AnnotationDefaults, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::AnnotationDefaults, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::AnnotationDefaults> Derived() { return Udm::DerivedAttr< ::matlab::AnnotationDefaults>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::AnnotationDefaults, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::AnnotationDefaults, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::AnnotationDefaults> Archetype() { return Udm::ArchetypeAttr< ::matlab::AnnotationDefaults>(impl);}

			static ::Uml::CompositionParentRole meta_parent;
			Udm::ParentAttr< ::matlab::SimContainer> parent() const { return Udm::ParentAttr< ::matlab::SimContainer>(impl, meta_parent); }

		};

		class  Normal :  public ::matlab::Subsystem {
		public:
			static ::Uml::Class meta;

			Normal() { }
			Normal(Udm::ObjectImpl *impl) : ::matlab::Subsystem(impl) { }
			Normal(const Normal &master) : ::matlab::Subsystem(master) { }
			static Normal Cast(const Udm::Object &a) { return __Cast(a, meta); }

			static Normal Create(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role); }

			Normal CreateInstance(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl); }

			Normal CreateDerived(const Udm::Object &parent, const ::Uml::CompositionChildRole &role = Udm::NULLCHILDROLE) { return __Create(meta, parent, role, impl, true); }

			Udm::InstantiatedAttr< ::matlab::Normal> Instances() { return Udm::InstantiatedAttr< ::matlab::Normal>(impl);}
			template <class Pred> Udm::InstantiatedAttr< ::matlab::Normal, Pred> Instances_sorted(const Pred &) { return Udm::InstantiatedAttr< ::matlab::Normal, Pred>(impl);}

			Udm::DerivedAttr< ::matlab::Normal> Derived() { return Udm::DerivedAttr< ::matlab::Normal>(impl);}
			template <class Pred> Udm::DerivedAttr< ::matlab::Normal, Pred> Derived_sorted(const Pred &) { return Udm::DerivedAttr< ::matlab::Normal, Pred>(impl);}

			Udm::ArchetypeAttr< ::matlab::Normal> Archetype() { return Udm::ArchetypeAttr< ::matlab::Normal>(impl);}

		};



}

#endif //MOBIES_MATLAB_H
