/*
Copyright (c) Vanderbilt University, 2000-2001
ALL RIGHTS RESERVED
Vanderbilt University disclaims all warranties with regard to this
software, including all implied warranties of merchantability
and fitness.  In no event shall Vanderbilt University be liable for
any special, indirect or consequential damages or any damages
whatsoever resulting from loss of use, data or profits, whether
in an action of contract, negligence or other tortious action,
arising out of or in connection with the use or performance of
this software.
*/

// ManagerDlg.h : header file
//
#pragma warning( disable : 4666 )

#if !defined(AFX_MANAGERDLG_H__89618EC9_D78B_47E6_8CED_AB5802178E0E__INCLUDED_)
#define AFX_MANAGERDLG_H__89618EC9_D78B_47E6_8CED_AB5802178E0E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CManagerDlg dialog

class CManagerDlg : public CDialog
{
// Construction
public:
	CString m_strBackplanePassword;
	CManagerDlg(CWnd* pParent = NULL);	// standard constructor
	void OnOK();
	void OnCancel();

// Dialog Data
	//{{AFX_DATA(CManagerDlg)
	enum { IDD = IDD_MANAGER_DIALOG };
	CListBox	m_datanetwork_listbox;
	CListBox	m_translator_listbox;
	CListBox	m_listbox;
	CString	m_name;
	CString	m_url;
	BOOL	m_locked;
	CString	m_translator_name;
	CString	m_translator_input;
	CString	m_translator_output;
	CString	m_translator;
	CString	m_translator_input_version;
	CString	m_translator_output_version;
	CString	m_translator_version;
	CString	m_version;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CManagerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CManagerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	afx_msg void OnSelchangeList3();
	afx_msg void OnCheck1();
	afx_msg void OnButton1();
	afx_msg void OnButton4();
	afx_msg void OnButton5();
	afx_msg void OnButton6();
	afx_msg void OnSelchangeList1();
	afx_msg void OnButton7();
	afx_msg void OnButton8();
	afx_msg void OnButton9();
	afx_msg void OnButton10();
	afx_msg void OnButton11();
	afx_msg void OnAbout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MANAGERDLG_H__89618EC9_D78B_47E6_8CED_AB5802178E0E__INCLUDED_)
